defmodule Forum.MixProject do
  use Mix.Project

  def project do
    [
      app: :forum,
      version: "0.1.0",
      elixir: "~> 1.16",
      deps: deps()
    ]
  end

  def application do
    [
      mod: {Forum.Application, []},
      extra_applications: [:logger, :crypto, :inets, :ssl]
    ]
  end

  defp deps do
    [
      {:bandit, "~> 1.5"},
      {:plug, "~> 1.16"},
      {:websock_adapter, "~> 0.5"},
      {:postgrex, "~> 0.19"},
      {:jason, "~> 1.4"},
      {:dotenvy, "~> 0.9.0"},
      {:quickbeam, "~> 0.10.10"},
      {:floki, "~> 0.36"},
      {:joken, "~> 2.6"}
    ]
  end
end
